package com.chenyang.nse.bussiness.entity.orm.table.core;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_DG_DEFINE_RULE"
)
public class DgDefineRule extends TBaseEntity {
   private String operationUser;
   private String module;
   @JsonFormat(
      pattern = "yyyy-MM-dd HH:mm:ss"
   )
   private Date operationtime;
   private String logmessage;
   private String logno;
   private String operationObject;
   private String projectId;

   public String getProjectId() {
      return this.projectId;
   }

   public void setProjectId(String projectId) {
      this.projectId = projectId;
   }

   public String getOperationUser() {
      return this.operationUser;
   }

   public void setOperationUser(String operationUser) {
      this.operationUser = operationUser;
   }

   public String getModule() {
      return this.module;
   }

   public void setModule(String module) {
      this.module = module;
   }

   public Date getOperationtime() {
      return this.operationtime;
   }

   public void setOperationtime(Date operationtime) {
      this.operationtime = operationtime;
   }

   public String getLogmessage() {
      return this.logmessage;
   }

   public void setLogmessage(String logmessage) {
      this.logmessage = logmessage;
   }

   public String getLogno() {
      return this.logno;
   }

   public void setLogno(String logno) {
      this.logno = logno;
   }

   public String getOperationObject() {
      return this.operationObject;
   }

   public void setOperationObject(String operationObject) {
      this.operationObject = operationObject;
   }

   public String toString() {
      return "DgDefineRule [operationUser=" + this.operationUser + ", module=" + this.module + ", operationtime=" + this.operationtime + ", logmessage=" + this.logmessage + ", logno=" + this.logno + ", operationObject=" + this.operationObject + ", projectId=" + this.projectId + "]";
   }

   public DgDefineRule(String user, String module, Date operationtime, String logmessage, String logno, String operationObject, String projectId) {
      this.operationUser = this.operationUser;
      this.module = module;
      this.operationtime = operationtime;
      this.logmessage = logmessage;
      this.logno = logno;
      this.operationObject = operationObject;
      this.projectId = projectId;
   }

   public DgDefineRule() {
   }
}
